<?php

namespace App\Core\Validator\UserPropertyMapping;

use Illuminate\Contracts\Container\Container;
use Illuminate\Contracts\Translation\Translator;

use App\Core\Validator\BaseValidator;

use Exception;

class UserPropertyMappingAddValidator extends BaseValidator
{
    private $userRepository;
    private $userPropertyMappingRepository ;

    public function __construct
    (

        Translator $translator,
        Container $container
    )
    {
        parent::__construct($translator, $container);

    }

    public function rules($params = null)
    {
        return
            [
                'add_user_id' => 'required|numeric',
                'add_property_id' => 'array',
                'add_property_id.*' => 'numeric'
            ];


    }

    public function messages()
    {
        $thisMessages = [];
        return array_merge(parent::messages() , $thisMessages);
    }



    public function validate(array $params, array $rules = [], array $messages = [], array $customAttributes = [])
    {
        return $this->make($params, $this->rules($params), $this->messages());
    }

}
